/*
 * @(#)ImagingLib.java	1.6 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.awt.image;

/**
 * This interface is used to provide a hook to access platform-specific
 * imaging code.  If a class exists that implements this interface,
 * the appropriate filter method will be calling from the RasterOp or
 * BufferedImageOp class. 
 *
 * If the implementing class cannot handle the op, raster format or
 * image format, the method will return null;
 * If there is an error when processing the
 * data, the implementing class may either return null
 * (in which case our java code will be executed) or may throw
 * an exception.
 */
public interface ImagingLib {

    WritableRaster filter(RasterOp op, Raster src, WritableRaster dst);
    
    BufferedImage filter(BufferedImageOp op, BufferedImage src,
                         BufferedImage dst);
}
