/*
 * @(#)PageContext.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.awt.print;

/**
 * A PageContext implementation provides information
 * about a page that is part of a PrinterJob. The
 * PageContext provides the painter, a Printable
 * implementation, as well as the format of a page.
 */

public interface PageContext {

    /**
     * Return the object that paints the image on
     * the page.
     */
     Printable getPagePainter();

    /**
     * Return the format of the page being drawn.
     */
    PageFormat getPageFormat();

    /**
     * Return the name of the given page. This name might
     * simply be the page's index plus 1 returned as a
     * String or it might be something like "iii" or
     * "Table of Contents". 
     */
    String getPageName();

    /**
     * Return the index of the page being drawn.
     */
    int getPageIndex();
       
}
