package java.awt.swing.text.html;

import java.io.*;

interface HTMLDefs {
//
// Editor constants
//
  public static final String EDITOR_VERSION = "1.0 (Dev)";
  public static final String EDITOR_NAME = "HTML Editor";
  public static final String EDITOR_COMMENT = "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2 Final//EN\">";

  public static final String IMAGES = "images";
  public static final String HTMLEDITOR_BASE = "htmleditor";
  public static final String LOCAL_IMAGES_DIR = "." + File.separator + IMAGES + 
	File.separator + HTMLEDITOR_BASE + File.separator;

//
// HTML Style Context
//
  public static final String HTML_DEFAULT_STYLE = "HTMLDefault";

//
//  Resource Specification
//
    public static final String EDITOR_CONTAINER="HTMLEditor";
    public static final String TEXTPANE="HTMLPane";
    public static final String JHTMLPANE="JHTMLPane";
    public static final String DOCUMENT="HTMLDocument";
    public static final String STYLECONTEXT="StyleContext";
//
// Tag Names
//
  public static final String A = "a";
  public static final String ADDRESS = "address";
  public static final String APPLET = "applet";
  public static final String AREA = "area";
  public static final String B = "b";
  public static final String BASE = "base";
  public static final String BASEFONT = "basefont";
  public static final String BIG = "big";
  public static final String BLOCKQUOTE = "blockquote";
  public static final String BODY = "body";
  public static final String BR = "br";
  public static final String CAPTION = "caption";
  public static final String CENTER = "center";
  public static final String CITE = "cite";
  public static final String CODE = "code";
  public static final String COLOR = "color";
  public static final String DD = "dd";
  public static final String DFN = "dfn";
  public static final String DIR = "dir";
  public static final String DIV = "div";
  public static final String DL = "dl";
  public static final String DT = "dt";
  public static final String EM = "em";
  public static final String FACE = "face";
  public static final String FONT = "font";
  public static final String FORM = "form";
  public static final String H1 = "h1";
  public static final String H2 = "h2";
  public static final String H3 = "h3";
  public static final String H4 = "h4";
  public static final String H5 = "h5";
  public static final String H6 = "h6";
  public static final String HEAD = "head";
  public static final String HR = "hr";
  public static final String HTML = "html";
  public static final String I = "i";
  public static final String IMG = "img";
  public static final String INPUT = "input";
  public static final String ISINDEX = "isindex";
  public static final String KBD = "kbd";
  public static final String LI = "li";
  public static final String LINK = "link";
  public static final String MAP = "map";
  public static final String MENU = "menu";
  public static final String META = "meta";
  public static final String OL = "ol";
  public static final String OPTION = "option";
  public static final String P = "p";
  public static final String PARAM = "param";
  public static final String PRE = "pre";
  public static final String PRELINE = "pre-line";
  public static final String PROMPT = "prompt";
  public static final String SAMP = "samp";
  public static final String SCRIPT = "script";
  public static final String SELECT = "select";
  public static final String SMALL = "small";
  public static final String SRC = "src";
  public static final String STRIKE = "strike";
  public static final String STRONG = "strong";
  public static final String STYLE = "style";
  public static final String SUB = "sub";
  public static final String SUP = "sup";
  public static final String TABLE = "table";
  public static final String TD = "td";
  public static final String TEXT = "text";
  public static final String TEXTAREA = "textarea";
  public static final String TH = "th";
  public static final String TITLE = "title";
  public static final String TR = "tr";
  public static final String TT = "tt";
  public static final String U = "u";
  public static final String UL = "ul";
  public static final String VAR = "_var";

  // AttributeNames
  public static final String ALIGN = "align";
  public static final String ALINK = "alink";
  public static final String LEFT = "left";
  public static final String RIGHT = "right";
  public static final String BACKGROUND = "background";
  public static final String BGCOLOR = "bgcolor";
  public static final String BOLD = "bold";
  public static final String ITALIC = "italic";
  public static final String UNDERLINE = "underline";
  public static final String SIZE = "size";
  public static final String PARAGRAPH = "paragraph";
  public static final String HEIGHT = "height";
  public static final String WIDTH = "width";
  public static final String HREF = "href";
  public static final String TYPE = "type";
  public static final String COMPACT = "compact";
  public static final String VALUE = "value";
  public static final String VLINK = "vlink";
  public static final String NOSHADE= "noshade";
  public static final String HSPACE = "hspace";
  public static final String VSPACE = "vspace";
  public static final String ALT = "alt";
  public static final String BORDER = "border";
  public static final String ISMAP = "ismap";
  public static final String USEMAP = "usemap";
  public static final String NAME = "name";
  public static final String REL = "rel";
  public static final String REV = "rev";
  public static final String START = "start";
  public static final String ROWS = "rows";
  public static final String COLS = "cols";
  public static final String NULL_ATTRIBUTE = "#DEFAULT";

  // Misc.
  public static final String IMPLIEDP = "impliedp";
  public static final String UnremovableEnd = "__unremoveable__";

//
// Font specific props
//
  public static final String FONT_FAMILY= "htmleditor.font.family";
  public static final String FONT_PTSIZE = "htmleditor.font.ptsize";
}
