/**
 * (c) Copyright 1996 Sun Microsystems, Inc.
 *
 * @(#)HTMLException.java	1.3 98/02/02
 */
package java.awt.swing.text.html;

/**
 * Signals that an exception has occurred while using the calendar
 * api classes.  The associated error code and detail message indicate
 * what the exception is.
 *
 * @see	HTMLError
 * @version	1.3 98/02/02
 * @author Jill Nakata
 */

class HTMLException extends Exception implements HTMLError {

    int	mcode;

    /**
     * Constructs an HTMLException with an error code and no
     * specified detail message.
     * @param code	an error code
     */
    public HTMLException(int code)
    {
	super();
	mcode = code;
    }

    /**
     * Constructs an HTMLException with an error code and the specified
     * detail message.
     * @param code	an error code
     * @param s		the detail message
     */
    public HTMLException(int code, String s)
    {
	super(s);
	mcode = code;
    }

    /**
     * Returns the error code associated with the exception.
     *
     * @return	int	error code associated with the exception
     */
    public int getErrorCode()
    {
	return mcode;
    }

}
