/*
 * @(#)HTMLParserCallbackDefault.java	1.7 97/10/10
 * 
 * Copyright (c) 1997 Sun Microsystems, Inc. All Rights Reserved.
 * 
 * This software is the confidential and proprietary information of Sun
 * Microsystems, Inc. ("Confidential Information").  You shall not
 * disclose such Confidential Information and shall use it only in
 * accordance with the terms of the license agreement you entered into
 * with Sun.
 * 
 * SUN MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY OF THE
 * SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
 * PURPOSE, OR NON-INFRINGEMENT. SUN SHALL NOT BE LIABLE FOR ANY DAMAGES
 * SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR DISTRIBUTING
 * THIS SOFTWARE OR ITS DERIVATIVES.
 * 
 */
package java.awt.swing.text.html;



/**
 * HTMLParserCallbackDefault
 *
 * THe Implementation of the HTMLParserCallback
 * this can be used as an adapter for the interface
 *
 * @version 1.7 10/10/97
 * @author Makarand Gokhale
 */

class HTMLParserCallbackDefault implements HTMLParserCallback{

    public  static 	boolean  bDoDebug=false;
	
    public void pcdataAction(String data) {
	debugOut("PCDATA:"+data);
    }

    public void whitespaceAction(String data) {
	debugOut("White Space:"+data);
		}

    public void attributeAction(String name, String value) {
	debugOut("Attribute:Name:"+name+":Value:"+value);
    }
    

    public void blockOpenAction(String tag) {
	debugOut("BLOCKOPEN:TAG:"+tag);
    }
    

    public void blockCloseAction(String tag) {
	debugOut("BLOCKCLOSE:tag:"+tag);
    }
    

    public void aOpenAction() {
	debugOut("ActionOpen:A");
    }
    

    public void aCloseAction() {
	debugOut("ActionClose:A");
    }
    

    public void imgAction() {
	debugOut("Action:img");
    }
    

    public void hrAction() {
	debugOut("Action:hr");
    }
    

    public void fontOpenAction() {
	debugOut("ActionOpen:font");
    }
    

    public void fontCloseAction() {
	debugOut("ActionClose:font");
    }
    

    public void iOpenAction() {
	debugOut("ActionOpen:i");
    }
    
    public void iCloseAction() {
	debugOut("ActionClose:i");
    }
    
    public void bOpenAction() {
	debugOut("ActionOpen:b");
    }
    
    public void bCloseAction() {
	debugOut("ActionClose:b");
    }
    
    public void uOpenAction() {
	debugOut("ActionOpen:u");
    }
    
    public void uCloseAction() {
	debugOut("ActionClose:u");
    }
    
    public void strikeOpenAction() {
	debugOut("ActionOpen:strike");
    }
    
    public void strikeCloseAction() {
	debugOut("ActionClose:strike");
    }
    

    // --- list actions ------------------

    public void liOpenAction() {
	debugOut("ActionOpen:li");
    }
    
    public void liCloseAction() {
	debugOut("ActionClose:li");
    }
    
    public void ulOpenAction() {
	debugOut("ActionOpen:ul");
    }
    
    public void ulCloseAction() {
	debugOut("ActionClose:ul");
    }
    
    public void olOpenAction() {
	debugOut("ActionOpen:ol");
    }
    
    public void olCloseAction() {
	debugOut("ActionClose:ol");
    }
    
    public void dlOpenAction() {
	debugOut("ActionOpen:dl");
    }
    
    public void dlCloseAction() {
	debugOut("ActionClose:dl");
    }
    
    public void ddOpenAction() {
	debugOut("ActionOpen:dd");
    }
    
    public void ddCloseAction() {
	debugOut("ActionClose:dd");
    }
    
    public void dtOpenAction() {
	debugOut("ActionOpen:dt");
    }
    
    public void dtCloseAction() {
	debugOut("ActionClose:dt");
    }
    
    public void dirOpenAction() {
	debugOut("ActionOpen:dir");
    }
    
    public void dirCloseAction() {
	debugOut("ActionClose:dir");
    }
    
    public void menuOpenAction() {
	debugOut("ActionOpen:menu");
    }
    
    public void menuCloseAction() {
	debugOut("ActionCLose:menu");
    }

    public void htmlOpenAction() {
	debugOut("ActionOpen:html");
    }
    
    public void htmlCloseAction() {
	debugOut("ActionCLose:html");
    }


    public void headOpenAction() {
	debugOut("ActionOpen:head");
    }
    
    public void headCloseAction() {
	debugOut("ActionCLose:head");
    }

    public void bodyOpenAction() {
	debugOut("ActionOpen:body");
    }
    
    public void bodyCloseAction() {
	debugOut("ActionCLose:body");
    }
    public void titleOpenAction() {
	debugOut("ActionOpen:title");
    }
    
    public void titleCloseAction() {
	debugOut("ActionCLose:title");
    }

// Pre Tags
    public void preOpenAction()
    {
	debugOut("ActionOpen:pre");
    }
// Pre Tags
    public void preCloseAction()
    {
	debugOut("ActionCLose:pre");
    }

// TT  Tags
    public void ttOpenAction(){
	debugOut("ActionOpen:tt");
    }
    public void ttCloseAction(){
	debugOut("ActionClose:tt");
    }
// BIG  Tags
    public void bigOpenAction(){
	debugOut("ActionOpen:big");
    }
    public void bigCloseAction(){
	debugOut("ActionClose:big");
    }

// Small  Tags
    public void smallOpenAction(){
	debugOut("ActionOpen:small");
    }
    public void smallCloseAction(){
	debugOut("ActionClose:small");
    }

// BLOCKQUOTE  Tags
    public void blockquoteOpenAction(){
	debugOut("ActionOpen:blockquote");
    }
    public void blockquoteCloseAction(){
	debugOut("ActionClose:blockquote");
    }

// EM  Tags
    public void emOpenAction(){
	debugOut("ActionOpen:em");
    }
    public void emCloseAction(){
	debugOut("ActionClose:em");
    }

// Strong  Tags
    public void strongOpenAction(){
	debugOut("ActionOpen:strong");
    }
    public void strongCloseAction(){
	debugOut("ActionClose:strong");
    }


// var  Tags
    public void varOpenAction(){
	debugOut("ActionOpen:var");
    }
    public void varCloseAction(){
	debugOut("ActionClose:var");
    }

// basefont  Tag
    public void basefontAction(){
	debugOut("Action:basefont");
    }

// BR Action
    public void brAction(){
	debugOut("Action:br");
    }


// Center  Tags
    public void centerOpenAction(){
	debugOut("ActionOpen:center");
    }
    public void centerCloseAction(){
	debugOut("ActionClose:cite");
    }

// Cite  Tags
    public void citeOpenAction(){
	debugOut("ActionOpen:cite");
    }
    public void citeCloseAction(){
	debugOut("ActionClose:cite");
    }

// kbd  Tags
    public void kbdOpenAction(){
	debugOut("ActionOpen:kbd");
    }
    public void kbdCloseAction(){
	debugOut("ActionClose:kbd");
    }

// sub  Tags
    public void subOpenAction(){
	debugOut("ActionOpen:sub");
    }
    public void subCloseAction(){
	debugOut("ActionClose:sub");
    }

// sup  Tags
    public void supOpenAction(){
	debugOut("ActionOpen:sup");
    }
    public void supCloseAction(){
	debugOut("ActionClose:sup");
    }


// dfn  Tags
    public void dfnOpenAction(){
	debugOut("ActionOpen:dfn");
    }
    public void dfnCloseAction(){
	debugOut("ActionClose:dfn");
    }

// code  Tags
    public void codeOpenAction(){
	debugOut("ActionOpen:code");
    }
    public void codeCloseAction(){
	debugOut("ActionClose:code");
    }

// samp  Tags
    public void sampOpenAction(){
	debugOut("ActionOpen:samp");
    }
    public void sampCloseAction(){
	debugOut("ActionClose:samp");
    }

// address  Tags
    public void addressOpenAction(){
	debugOut("ActionOpen:address");
    }
    public void addressCloseAction(){
	debugOut("ActionClose:address");
    }

// div  Tags
    public void divOpenAction(){
	debugOut("ActionOpen:div");
    }
    public void divCloseAction(){
	debugOut("ActionClose:div");
    }

// map  Tags
    public void mapOpenAction(){
	debugOut("ActionOpen:map");
    }
    public void mapCloseAction(){
	debugOut("ActionClose:map");
    }

// area Tag
    public void areaAction(){
	debugOut("Action:area");
    }
// link Tag
    public void linkAction(){
	debugOut("Action:link");
    }
// param Tag
    public void paramAction(){
	debugOut("Action:param");
    }
// input Tag
    public void inputAction(){
	debugOut("Action:input");
    }

// applet  Tags
    public void appletOpenAction(){
	debugOut("ActionOpen:applet");
    }
    public void appletCloseAction(){
	debugOut("ActionClose:applet");
    }

// form  Tags
    public void formOpenAction(){
	debugOut("ActionOpen:form");
    }
    public void formCloseAction(){
	debugOut("ActionClose:form");
    }

// select  Tags
    public void selectOpenAction(){
	debugOut("ActionOpen:select");
    }
    public void selectCloseAction(){
	debugOut("ActionClose:select");
    }

// option  Tags
    public void optionOpenAction(){
	debugOut("ActionOpen:option");
    }
    public void optionCloseAction(){
	debugOut("ActionClose:option");
    }

// textarea  Tags
    public void textareaOpenAction(){
	debugOut("ActionOpen:textarea");
    }
    public void textareaCloseAction(){
	debugOut("ActionClose:textarea");
    }

// table  Tags
    public void tableOpenAction(){
	debugOut("ActionOpen:table");
    }
    public void tableCloseAction(){
	debugOut("ActionClose:table");
    }


// tr  Tags
    public void trOpenAction(){
	debugOut("ActionOpen:tr");
    }
    public void trCloseAction(){
	debugOut("ActionClose:tr");
    }

// th  Tags
    public void thOpenAction(){
	debugOut("ActionOpen:th");
    }
    public void thCloseAction(){
	debugOut("ActionClose:th");
    }

// td  Tags
    public void tdOpenAction(){
	debugOut("ActionOpen:td");
    }
    public void tdCloseAction(){
	debugOut("ActionClose:td");
    }

// caption  Tags
    public void captionOpenAction(){
	debugOut("ActionOpen:caption");
    }
    public void captionCloseAction(){
	debugOut("ActionClose:caption");
    }

// isindex Tag
    public void isindexAction(){
	debugOut("Action:isindex");
    }
// base Tag
    public void baseAction(){
	debugOut("Action:base");
    }
// meta Tag
    public void metaAction(){
	debugOut("Action:meta");
    }

// style  Tags
    public void styleOpenAction(){
	debugOut("ActionOpen:style");
    }
    public void styleCloseAction(){
	debugOut("ActionClose:style");
    }

// script  Tags
    public void scriptOpenAction(){
	debugOut("ActionOpen:script");
    }
    public void scriptCloseAction(){
	debugOut("ActionClose:script");
    }

    public  static synchronized void  debugOut(String s){
	if(bDoDebug)
	    System.out.println(s);
    }

}
