/*
 * @(#)ActivateFailedException.java	1.2 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.rmi.activation;

/**
 * This exception is thrown by the RMI runtime when activation
 * fails during a remote call to an activatable object.
 *
 * @author 	Ann Wollrath
 * @version	1.2, 03/18/98
 * @since 	JDK1.2
 */
public class ActivateFailedException extends java.rmi.RemoteException {

    /** indicate compatibility with JDK 1.2 version of class */
    private static final long serialVersionUID = 4863550261346652506L;

    /**
     * Create the remote exception with the specified string, <code>s</code>.
     */
    public ActivateFailedException(String s) {
	super(s);
    }

    /**
     * Create the remote exception with the specified string, <code>s</code>,
     * and the nested exception, <code>ex</code>, specified.
     */
    public ActivateFailedException(String s, Exception ex) {
	super(s, ex);
    }
}
