/*
 * @(#)ClobLocator.java	1.3 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.sql;
 
/**
 * JDBC 2.0
 *
 * <p>A ClobLocator is a transaction duration reference to a character large 
 * object in the DBMS server.
 */

public interface ClobLocator {

  /**
  * The length of the Character Large Object in characters.
  *
  * @return length of the CLOB in characters
  */
  long length();

  /**
  * Return copy of the substring of the CLOB at the requested position.
  *
  * @param pos is the first character of the substring to be extracted.
  * @param length is the number of consecutive character to be copied.
  *
  * @return a byte array containing a substring of the CLOB
  */
  String getString(int pos, int length); 

  /**
  * @return a stream containing the CLOB data
  */
  java.io.Reader getCharacterStream ();

  /**
  * @return a stream containing the CLOB data
  */
  java.io.InputStream getAsciiStream ();

}
