/*
 * @(#)StructLocator.java	1.3 98/03/18
 *
 * Copyright 1998 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package java.sql;
 
/**
 * JDBC 2.0
 *
 * <p>A StructLocator is a transaction duration reference to an array in the 
 * DBMS server.
 */

public interface StructLocator {

  /**
  * Return the SQL type of the item designated by this locator.
  *
  * @returns object representing SQL type 
  */
  SQLType getBaseType();

  /**
  * Materialize the Structured Type value designated by the locator.
  * Use the type-map associated with the connection for customizations
  * of the type mappings.
  *  
  * @return an object representing the item designated by the locator
  */
  Object getObject ();

  /**
  * Materialize the Structured Type value designated by the locator.
  * Use the given type-map for customizations of the type mappings.
  *  
  * @return an object representing the item designated by the locator
  */
  Object getObject (java.util.Map map);

}
