/*
 * @(#)BooleanHolder.java	1.16 98/03/18
 *
 * Copyright 1995-1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
 
package org.omg.CORBA;

/**
 * A Holder class for booleans for use with out and in/out IDL parameters.
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has a boolean as an "out" or "inout" parameter,
 * the programmer must pass an instance of BooleanHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained 
 * value corresponding to the "out" value returned from the server.
 *
 * @version     1.16, 03/18/98
 * @since       JDK1.2
 */

public final class BooleanHolder {
  /** 
   * the boolean value held by the BooleanHolder
   */
  public boolean value;

  /** 
   * construct the BooleanHolder with false initial value
   */
  public BooleanHolder() {
  }

  /** 
   * construct the BooleanHolder with the given boolean value
   * @param initial the boolean used to initialize the BooleanHolder value
   */
  public BooleanHolder(boolean initial) {
    value = initial;
  }

}
