/*
 * @(#)CharHolder.java	1.15 98/03/18
 *
 * Copyright 1995-1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * A Holder class for characters for use with out and in/out IDL parameters.
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has a char as an "out" or "inout" parameter,
 * the programmer must pass an instance of CharHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained 
 * value corresponding to the "out" value returned from the server.
 *
 * @version     1.15, 03/18/98
 * @since       JDK1.2
 */

public final class CharHolder {
  /** 
   * the char value held by the CharHolder
   */
  public char value;

  /** 
   * construct the CharHolder with <tt>null</tt> initial value
   */
  public CharHolder() {
  }

  /** 
   * construct the CharHolder with the given char
   * @param initial the char used to initialize the CharHolder value
   */
  public CharHolder(char initial) {
    value = initial;
  }

}
