/*
 * @(#)ContextList.java	1.13 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/** 
 * The ContextList class is used in the request operations to
 * describe the contexts that need to be resolved and sent with the
 * invocation. It contains a modifiable list of Strings.
 *
 * @version 1.13, 03/18/98 
 * @since   JDK1.2
 */

public abstract class ContextList {

  /**
   * A count of number of Strings in the ContextList
   *
   * @return			number of Strings in the ContextList.
   */

  public abstract int count();

  /**
   * Add a String.
   *
   * @param ctx		the String to be added.
   */

  public abstract void add(String ctx);

  /**
   * Return the String at the given index
   *
   * @param index		the index of String desired.
   * @return			the String at the given index.
   * @exception org.omg.CORBA.Bounds raised if the index is greater than
   *				or equal to number of Strings.
   */

  public abstract String item(int index) throws org.omg.CORBA.Bounds;

  /**
   * Remove the String at the given index. Note that the indices
   * of all Strings following this one are shifted down by one.
   *
   * @param index		the index of String to be removed.
   * @exception org.omg.CORBA.Bounds raised if the index is greater than
   *				or equal to number of Strings.
   */

  public abstract void remove(int index) throws org.omg.CORBA.Bounds;

}
