/*
 * @(#)DynamicImplementation.java	1.7 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

import org.omg.CORBA.portable.ObjectImpl;

/**
 *
 * The DynamicImplementation class defines an abstract method
 * invoke() that a dynamic servant needs to implement.
 *
 * @version 1.7, 03/18/98
 * @see org.omg.CORBA.ServerRequest
 * @since JDK1.2
 */

public abstract 
class DynamicImplementation extends org.omg.CORBA.portable.ObjectImpl {

  /**
   * The invoke operation is the dynamic implementation, which
   * accepts a server request object, and uses its methods to
   * determine the request target, operation and parameters, and to
   * set the result or exception.
   *
   * @param request             the request object in the form of a
   *                            ServerRequest
   */

  public abstract void invoke(ServerRequest request);
}
