/*
 * @(#)NamedValue.java	1.13 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**  
 * The NamedValue class is used in the DII and DSI to describe
 * arguments and return values. They are also used in the Context
 * object routines to pass lists of property names and values. A named
 * value includes a name, a value (as an Any), and an integer
 * representing a set of flags. When named value structures are used
 * to describe arguments to a request, the names are the argument
 * identifiers specified in the OMG IDL definition for a specific
 * operation, and the flags are the argument mode flags (ARG_IN.value,
 * ARG_OUT.value, ARG_INOUT.value).
 * 
 * @see org.omg.CORBA.ARG_IN
 * @see org.omg.CORBA.ARG_INOUT
 * @see org.omg.CORBA.ARG_OUT
 *
 * @version 1.13 ,03/18/98 
 * @since       JDK1.2
 */

public abstract class NamedValue {

  /**
   * name accessor.
   *
   * @return			name of the NamedValue.
   */

  public abstract String name();

  /**
   * value accessor.
   *
   * @return			value of the NamedValue.
   */

  public abstract Any value();

  /**
   * flags accessor.
   *
   * @return			flags of the NamedValue.
   */

  public abstract int flags();

}
