/*
 * @(#)Principal.java	1.7 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;


/** 
 * The Principal pseudo-object contains information about the identity of
 * the client, for access control
 * and other purposes. It contains a single attribute, the name of the
 * principal, encoded as a sequence of bytes.
 */

public abstract class Principal {

    /**
     * Set the name of the principal to the given value.
     * @param value The value to set in the principal.
     */
    public abstract void name(byte[] value);

    /**
     * Get the name of the principal. 
     * @return The name of the principal.
     */
    public abstract byte[] name();
}
