/*
 * @(#)PrincipalHolder.java	1.13 98/03/18
 *
 * Copyright 1996, 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * PrincipalHolder is a container class for values of type Principal.
 * It is usually used to store "out" and "inout" IDL method parameters.
 * If an IDL method signature has a Principal as an "out" or "inout" parameter,
 * the programmer must pass an instance of PrincipalHolder as the corresponding
 * parameter in the method invocation; for "inout" parameters, the programmer
 * must also fill the "in" value to be sent to the server.
 * Before the method invocation returns, the ORB will fill in the contained
 * value corresponding to the "out" value returned from the server.
 *
 * @version     1.13 03/18/98
 */

public final class PrincipalHolder
{
    /** 
     * The Principal value held by the PrincipalHolder.
     */
    public Principal value;
  
    /** 
     * Construct a new PrincipalHolder without initializing the contained value.
     */
    public PrincipalHolder() {
    }
  
    /** 
     * Construct the PrincipalHolder and initialize the contained value with the
     * given Principal.
     * @param the Principal used to initialize the PrincipalHolder value
     */
    public PrincipalHolder(Principal initial) {
        value = initial;
    }
}
