/*
 * @(#)TRANSACTION_REQUIRED.java	1.6 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * TRANSACTION_REQUIRED is a CORBA standard exception. 
 * It is an unchecked exception,
 * i.e. it is a subclass of java.lang.RuntimeException.
 * It may be thrown by the ORB on the client or server during the 
 * processing of a request that
 * is required to be enclosed in a transaction. 
 * Please see the OMG Transaction Service specfication for details.
 * For more
 * information about the exact cause of the exception, the String
 * description, the minor code and the completion status of the
 * exception may be examined.
 *
 * @version     1.6 03/18/98
 */

public class TRANSACTION_REQUIRED extends SystemException {
    /**
     * Constructs a TRANSACTION_REQUIRED with a default minor code
     * of 0, a completion state of CompletionStatus.COMPLETED_NO,
     * and a null description.
     */
    public TRANSACTION_REQUIRED() {
	this("");
    }

    /**
     * Constructs a TRANSACTION_REQUIRED with the specified description message,
     * a minor code of 0, and a completion state of COMPLETED_NO.
     * @param s the String containing a detail message
     */
    public TRANSACTION_REQUIRED(String s) {
        this(s, 0, CompletionStatus.COMPLETED_NO);
    }

    /**
     * Constructs a TRANSACTION_REQUIRED with the specified
     * minor code and completion status.
     * @param minor the minor code
     * @param completed the completion status
     */
    public TRANSACTION_REQUIRED(int minor, CompletionStatus completed) {
        this("", minor, completed);
    }

    /**
     * Constructs a TRANSACTION_REQUIRED with the specified description
     * message, minor code, and completion status.
     * @param s the String containing a description message
     * @param minor the minor code
     * @param completed the completion status
     */
    public TRANSACTION_REQUIRED(String s, int minor, CompletionStatus completed) {
        super(s, minor, completed);
    }
}
