/*
 * @(#)UnknownUserException.java	1.7 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */

package org.omg.CORBA;

/**
 * Class that contains user exceptions as Anys for use with the DII.
 * When the client uses the DII to make an invocation, any user exception
 * returned from the server is enclosed in the Any contained in the
 * UnknownUserException object which is available from the Environment
 * object returned by Request.env().
 * 
 * @see Request
 */

public class UnknownUserException extends UserException {

    /** The Any instance which contains the actual user exception thrown
     *  by the server.
     */
    public Any except;
  
    /**
     * Constructs a UnknownUserException. 
     */ 
    public UnknownUserException() {
        super();
    }
    
    /**
     * Constructs a UnknownUserException with given Any.
     */ 
    public UnknownUserException(Any a) {
        super();
        except = a;
    }
}

