/*
 * @(#)ObjectImpl.java	1.16 98/03/18
 *
 * Copyright 1997 by Sun Microsystems, Inc.,
 * 901 San Antonio Road, Palo Alto, California, 94303, U.S.A.
 * All rights reserved.
 *
 * This software is the confidential and proprietary information
 * of Sun Microsystems, Inc. ("Confidential Information").  You
 * shall not disclose such Confidential Information and shall use
 * it only in accordance with the terms of the license agreement
 * you entered into with Sun.
 */
package org.omg.CORBA.portable;

import org.omg.CORBA.ImplementationDef;
import org.omg.CORBA.InterfaceDef;
import org.omg.CORBA.Request;
import org.omg.CORBA.NamedValue;
import org.omg.CORBA.NVList;
import org.omg.CORBA.ExceptionList;
import org.omg.CORBA.ContextList;
import org.omg.CORBA.Context;
import org.omg.CORBA.TypeCode;
import org.omg.CORBA.BAD_OPERATION;



/** The ObjectImpl class provides default implementations of the
    org.omg.CORBA.Object methods. All method implementations are forwarded to 
    a Delegate object stored in the ObjectImpl instance.
    ObjectImpl is the common base class for all stub classes.
    ObjectImpl allows for portable stubs because the Delegate can be
    implemented by a different vendor-specific ORB.
 */

abstract public class ObjectImpl implements org.omg.CORBA.Object {

  private Delegate _delegate;


  /** return the Delegate contained in this ObjectImpl instance. */
  public Delegate _get_delegate() {
    if (_delegate == null)
	throw new BAD_OPERATION();
    return _delegate;
  }


  /** set the Delegate contained in this ObjectImpl instance. */
  public void _set_delegate(Delegate delegate) {
    _delegate = delegate;
  }

  /** return the array of all repository identifiers supported by this 
      ObjectImpl instance (e.g. For a stub, _ids() will return information
      about all interfaces supported by the stub). 
   */
  public abstract String[] _ids();


  /** default implementation of the org.omg.CORBA.Object method. */
  public org.omg.CORBA.Object _duplicate() {
    return _get_delegate().duplicate(this);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public void _release() {
    _get_delegate().release(this);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public boolean _is_a(String repository_id) {
    return _get_delegate().is_a(this, repository_id);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public boolean _is_equivalent(org.omg.CORBA.Object that) {
    return _get_delegate().is_equivalent(this, that);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public boolean _non_existent() {
    return _get_delegate().non_existent(this);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public int _hash(int maximum) {
    return _get_delegate().hash(this, maximum);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public Request _request(String operation) {
    return _get_delegate().request(this, operation);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public Request _create_request(Context ctx,
				 String operation,
				 NVList arg_list,
				 NamedValue result) {
    return _get_delegate().create_request((org.omg.CORBA.Object)this,
					  ctx,
					  operation,
					  arg_list,
					  result);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public Request _create_request(Context ctx,
				 String operation,
				 NVList arg_list,
				 NamedValue result,
				 ExceptionList exceptions,
				 ContextList contexts) {
    return _get_delegate().create_request((org.omg.CORBA.Object)this,
					  ctx,
					  operation,
					  arg_list,
					  result,
					  exceptions,
					  contexts);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public InterfaceDef _get_interface() {
    return _get_delegate().get_interface(this);
  }

  /** default implementation of the org.omg.CORBA.Object method. */
  public ImplementationDef _get_implementation() {
    return _get_delegate().get_implementation(this);
  }

  /** return the ORB instance which created the Delegate contained in
      this ObjectImpl. 
   */
  public org.omg.CORBA.ORB _orb() {
    return _get_delegate().orb(this);
  }
}
